워드프레스에 Kboard 활성화 후 오류발생 건

워드프레스 5.2.4 버전에 KBoard 게시판 플러그인과 KBoard 댓글 플러그인을 설치후

《사이트 상태》란에 다음과 같은 오류 발생,

치명적 오류 2개

REST API에서 오류가 발생하여 실패하였습니다.
에러: [] cURL error 28: Operation timed out after 10000 milliseconds with 0 bytes received

사이트에 대한 루프백 요청이 실패했습니다. 이는 해당 기능에 의존하는 기능이 현재 예상대로 작동하지 않음을 의미합니다.
에러: [] cURL error 28: Operation timed out after 10001 milliseconds with 0 bytes received

백그라운드 업데이트는 워드프레스가 현재 사용중인 버전의 보안업데이트가 출시되었을 때 자동으로 업데이트할 수 있는 것을 확신합니다.

경고 wp_version_check() 필터가 사용가능한지 확인할 수 없습니다.

비활성화하면 그 오류 없어집니다. 확인해주실 수 있나요?

참고로 제 서버정보
Nginx 1.17.4 +mariaDB 10.3.18 + php 7.3.10 입니다.

2019.10.20. 03:54

  • 안녕하세요~^^
    본문 내용에도 있지만 블로그 댓글로는 답변을 드리지 않지만 짧게 남겨드립니다.

    내용만 봐서는 KBoard 쪽이 아니라 웹서버 혹은 워드프레스 업데이트 기능의 문제로 보입니다.
    보통 업데이트 체크 시 curl 기능을 활용하고 있는데요.
    서버에 curl 관련해 업데이트를 해보시거나 모듈을 추가로 설치해보셔야 할 듯합니다.
    가능하시면 웹호스팅을 이용하시거나 서버 관리자에게 점검을 의뢰해보셔야 할 듯합니다.

    추가 질의응답은 공식 홈페이지의 커뮤니티를 이용 부탁드립니다.
    https://www.cosmosfarm.com/threads

    유료 기술지원 문의는 코스모스팜 고객지원 쪽 이메일로 연락 부탁드립니다.
    https://www.cosmosfarm.com/support

    고맙습니다.

    2019.10.20. 10:43

제 질문에 이렇게 답변 주시고 추가 질문이 있으면 이쪽으로 인도해 주셨네요.

위 답변 중에서

KBoard 쪽이 아니라 웹서버 혹은 워드프레스 업데이트 기능의 문제로 보입니다.

보통 업데이트 체크 시 curl 기능을 활용하고 있는데요.
서버에 curl 관련해 업데이트를 해보시거나 모듈을 추가로 설치해보셔야 할 듯합니다.

라고 답변 주셨는데요.

다른 플러그인의 업데이트는 됩니다. 워드프레스 업데이트도 kboard 설치 전에  5.2.3버전에서

5.2.4로 업데이트 했고요.

curl은 제가 서버 설치시 이미 설치하고 이번 일로 버전확인 결과

curl --version
curl 7.58.0 (x86_64-pc-linux-gnu) libcurl/7.58.0 OpenSSL/1.1.1d zlib/1.2.11 libidn2/2.0.4 libpsl/0.19.1 (+libidn2/2.0.4) nghttp2/1.30.0 librtmp/2.3
Release-Date: 2018-01-24

위와 같이 확인했습니다.

그리고 제가 질문시 분명 비활성화하면 그 오류 없어집니다.

라고 말씀드렸는데...

저 쪽의 문제로만 말씀하시면 제 글을 가볍게 읽으신 게 아닌가 합니다.

제가 홈서버에도 똑갈은 서버환경으로 같은 사이트를 테스트를 위해 설치했고

실사용용으로 AWS에도 사이트를 돌리고 있습니다.

두 서버에 다 같은 현상이 있습니다. 즉 kboard 활성화 시

위의 오류가, 비활성화 하면 오류없이 사이트 상태 100% 입니다.

kboard 비활성화시

 

kboard 활성화 시

참고로 워드프레스 관리자 화면에서 플러그인 Kboard 검색하면 나오는 Kboard위젯

만은 활성화 해도 이상 없습니다.

이 위젯으로 플러그인 업로드해서 게시판, 댓글 플러그인을 설치하면 오류가 납니다.

좋은 정보와 인맥을 동시에, 워드프레스 사용자 단톡방 참여하기
좋은 정보와 인맥을 동시에, 워드프레스 사용자 단톡방 참여하기
  • 안녕하세요~^^

    KBoard 플러그인에서 cURL 기능은 플러그인 최신 버전 업데이트 정보를 받아올 때 활용됩니다.

    워드프레스 및 플러그인 업데이트와는 관련이 없습니다.

    cURL 기능이 정상적으로 작동하지 않기 때문에 해당 에러 메시지가 표시되는 듯합니다.

    cURL 기능은 서버 쪽의 기능이기 때문에 플러그인에서는 근본적인 해결이 불가능합니다.

     

    임시방편으로

    워드프레스 관리자 -> KBoard -> 업데이트 메뉴에서 업데이트 알림을 알림 중지로 바꿔보시겠어요?

    고맙습니다.

  • 질의응답 내용은 커뮤니티에서 모든 사용자와 공유되어야 하기 때문에 블로그에서는 질의응답을 진행하고 있지 않으니 이해 부탁드립니다.

    제보해주신 내용은 저희 서버에서 테스트해보고 원인을 찾아보겠습니다.

    원인을 찾아 개선한 다음 업데이트하도록 하겠습니다.

    고맙습니다.

  • 서버의 cURL 기능이 정상이 아니라면 Kboard 비활성화 후에도 다른 플러그인들의 최신 버전 업데이트 정보를 받아올 수 없기 마련이고, kboard 비활성화와 상관없이 오류는 계속되는 게 맞지 않나요?

    업데이트 알림을 중지해도 여전히 오류를 알리고 있습니다.

    그래서 다시 비활성화 하니 오류가 없어집니다. 다만 비활성화 한 플러그인(kboard게시판, kboard댓글)이 삭제되지 않고 있어서 93% 나옵니다.

    하지만 사이트 운영에 별다른 장애는 없습니다. 다만 기분이 찜찜할 뿐입니다. ^^

이미지 사진은 imgur에 업로드한 뒤 링크 걸어주세요.
좋은 정보와 인맥을 동시에, 워드프레스 사용자 단톡방 참여하기